#!/bin/sh
#
#  $Id$
#

MAILPING_HOME=@install.root@
JAR_FILE="@jarfile@"

if [ ! -f $JAVA_HOME/bin/java ]; then
	JAVA_HOME=/usr/java
fi

case "$1" in
'start')
	if [ -f $MAILPING_HOME/etc/mailping.properties \
		-a -f $MAILPING_HOME/lib/$JAR_FILE ]
	then
		echo 'mailping service starting.'
		if [ ! -d $MAILPING_HOME/logs ]; then
			mkdir $MAILPING_HOME/logs
		fi

		cd $MAILPING_HOME/etc
		if [ $? -ne 0 ]; then
			echo "could not chdir to $MAILPING_HOME/etc" >&2
			exit 1
		fi

		echo "" >> ../logs/output.log
		echo "`date`: starting MailPing" >> ../logs/output.log
		$JAVA_HOME/bin/java -jar $MAILPING_HOME/lib/$JAR_FILE \
			>> ../logs/output.log 2>&1 &
	fi
	;;

'stop')
	ps -edaf | grep java | grep mailping | awk '{ print $2 }' | xargs kill
	;;

*)
	echo "Usage: $0 { start | stop }"
	exit 1
	;;
esac
